Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/capstone: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 21 Jan 2016 18:46:36 +0200

The Ultimate Disassembler
http://www.capstone-engine.org
---
 testing/capstone/APKBUILD    | 45 ++++++++++++++++++++++++++++++++++++++++++++
 testing/capstone/capstone.pc |  8 ++++++++
 2 files changed, 53 insertions(+)
 create mode 100644 testing/capstone/APKBUILD
 create mode 100644 testing/capstone/capstone.pc
diff --git a/testing/capstone/APKBUILD b/testing/capstone/APKBUILD
new file mode 100644
index 0000000..dc53222
--- /dev/null
+++ b/testing/capstone/APKBUILD
_at_@ -0,0 +1,45 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=capstone
+pkgver=3.0.4
+pkgrel=0
+pkgdesc="The Ultimate Disassembler"
+url="http://www.capstone-engine.org"
+arch="all"
+license="LGPLv2"
+depends=""
+depends_dev="$pkgname"
+makedepends="cmake"
+install=""
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/aquynh/$pkgname/archive/$pkgver.tar.gz
+	$pkgname.pc"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	cmake CMakeLists.txt \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCAPSTONE_BUILD_STATIC=OFF \
+	|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 "$srcdir"/$pkgname.pc "$pkgdir"/usr/lib/pkgconfig/$pkgname.pc
+	sed -i \
+		-e "s/#pkgname/$pkgname/" \
+		-e "s/#pkgdesc/$pkgdesc/" \
+		-e "s/#pkgver/$pkgver/" \
+		"$pkgdir"/usr/lib/pkgconfig/$pkgname.pc
+}
+
+md5sums="203a3593552afd844b0d7da0f56d21d2  capstone-3.0.4.tar.gz
+bcbbe0e5250a246705668638778b9a29  capstone.pc"
+sha256sums="5d6dadf5864c56f8de66c66088fa68e849d0bff6577865a4f81b6f23112b14f2  capstone-3.0.4.tar.gz
+6bfbcd218a9f25ad1b30a45ec698cbfb0c41cf17202bd034d7d4057eafa9c4cd  capstone.pc"
+sha512sums="a5c29e7c559b5391d6a4ec9a7f766699ea6d321aa2f1fc57fdcec893107fa3ef2f5f6323629971c1129f1ca087df4f3ad03d0a8234d2eae368c8ccfec04dbf4d  capstone-3.0.4.tar.gz
+87eacef80df36be18fe86f540a452b7e290c9dfc85d01c7926d263f2e5060f6d5fd6a6c68c350caf532f4926902a77fba24e59cb5e9b606be9706980ae4c8235  capstone.pc"
diff --git a/testing/capstone/capstone.pc b/testing/capstone/capstone.pc
new file mode 100644
index 0000000..d6c5d1e
--- /dev/null
+++ b/testing/capstone/capstone.pc
_at_@ -0,0 +1,8 @@
+libdir=/usr/lib
+includedir=/usr/include
+
+Name: #pkgname
+Version: #pkgver
+Description: #pkgdesc
+Libs: -L${libdir} -l#pkgname
+Cflags: -I${includedir}
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jan 21 2016 - 18:46:36 GMT